at.chipkarte.client.bkf.soap

## Class KUMMammographieZweitbefunder

- Object
- - at.chipkarte.client.bkf.soap.KUMMammographieZweitbefunder

-     public class KUMMammographieZweitbefunder
      extends Object

  Diese Klasse enthält die Ergebnisdaten einer Mammographiebefundung durch den Zweitbefunder der kurativen Mammographie (KurativeMammographieDoku).
  Die Angabe eines Zweitbefundes ist bei der kurativen Mammographie optional. Wird KUMMammographieZweitbefunder allerdings angegeben, sind alle Parameter darin verpflichtend anzugeben.
  ParameterID: 0450.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KUMMammographieZweitbefunder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getArztID()` Eindeutiger Bezeichner eines Arztes.
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getDichte()` Ergebnis Dichte (D-SCORE).
    `String` | `getErgebnis()` Ergebnis Mammographie (MG-SCORE).
    `void` | `setArztID(String arztID)`
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setDichte(String dichte)`
    `void` | `setErgebnis(String ergebnis)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KUMMammographieZweitbefunder

          public KUMMammographieZweitbefunder()

  - ### Method Detail

    - #### getArztID

          public String getArztID()

      Eindeutiger Bezeichner eines Arztes.
      Angabe: Muss.
      Muss unterschiedlich zur ArztID des Erstbefunders sein. Muss als zertifizierter Arzt gemeldet sein (siehe Funktion `IBkfService.searchBkfArzt(String, String)`).
      Format: 11-stellig
      ParameterID: 0451.
      Returns:
        ArztID

    - #### setArztID

          public void setArztID(String arztID)

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 0453.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getDichte

          public String getDichte()

      Ergebnis Dichte (D-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `DichteTypConstant`.
      ParameterID: 0454.
      Returns:
        Dichte

    - #### setDichte

          public void setDichte(String dichte)

    - #### getErgebnis

          public String getErgebnis()

      Ergebnis Mammographie (MG-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisMammographieTypConstant`.
      ParameterID: 0455.
      Returns:
        Ergebnis

    - #### setErgebnis

          public void setErgebnis(String ergebnis)